{-# LANGUAGE OverloadedStrings #-}

import           Test.Hspec
import           Test.Hspec.Dirstream

main :: IO ()
main = hspec $ parallel $ do
    describe "testFiles" $
            testFiles "test/data" (hasExtension "hs") ((pure :: a -> Either String a) . tail)
    describe "testFilesIO" $
            testFilesIO "test/data" (hasExtension "hs") (pure . tail)
    describe "testFilesGeneral" $
            testFilesPure "test/data" (hasExtension "hs") allFiles (FileProc readFile tail ((>= 0) . length))
